Skip to main content
GET
/
users
/
me
Get current user
curl --request GET \
  --url https://api.social-api.ai/v1/users/me \
  --header 'Authorization: <api-key>'
{
  "allowed_platforms": [
    "instagram",
    "facebook"
  ],
  "avatar_url": "https://example.com/avatar.jpg",
  "beta_tester": false,
  "email": "user@example.com",
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "onboarding": true,
  "plan": "free"
}

Authorizations

Authorization
string
header
required

Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...

Response

User profile

allowed_platforms
string[]
Example:
["instagram", "facebook"]
avatar_url
string
Example:

"https://example.com/avatar.jpg"

beta_tester
boolean
Example:

false

email
string
Example:

"user@example.com"

id
string
Example:

"550e8400-e29b-41d4-a716-446655440000"

onboarding
boolean
Example:

true

plan
string
Example:

"free"